Subject: Re: [1.8.0] split largest remaining scripts, gitk and gitweb

From: Jakub Narebski <[email-masked]>
Date: Wed, 2 Feb 2011 00:20:28 +0100

Dnia wtorek 1. lutego 2011 23:15, Junio C Hamano napisał:
> Jakub Narebski <[email-masked]> writes:
> 
> > Two largest files in git repository are gitk and gitweb, see the
> > ...
> > What do you think?
> 
> What does this have to do anything with 1.8.0?  Isn't this all internal
> implementation that can be brought in without affecting end users?

In the case of gitk we have "prior art" i.e. git-gui, which got split.
In the case of gitweb I am not sure if there having multiple files to
install wouldn't be inconvenient for users (though with "install-gitweb"
target...)

Anyway, I have posted this in subthread of

  [1.8.0] reorganize the mess that the source tree has become

because it is also code reorganization.

-- 
Jakub Narebski
Poland